### Method

# GnomeAutoar Compressor set_output_is_dest

#### Declaration [src]

    void
    autoar_compressor_set_output_is_dest (
      AutoarCompressor* self,
      gboolean output_is_dest
    )

#### Description [src]

By default `AutoarCompressor:output-is-dest` is set to `FALSE`, which means the new archive will be created as a regular file under `AutoarCompressor:output` directory. The name of the new archive will be automatically generated and you will be notified via `AutoarCompressor::decide-dest` when the name is decided. If you have already decided the location of the new archive, and you do not want `AutoarCompressor` to decide it for you, you can set `AutoarCompressor:output-is-dest` to `TRUE`. `AutoarCompressor` will use `AutoarCompressor:output` as the location of the new archive, and it will neither check whether the file exists nor create the necessary directories for you. This function should only be called before calling `autoar_compressor_start()` or autoar_compressor_start_async().

Sets property | `GnomeAutoar.Compressor:output-is-dest`

#### Parameters

`output_is_dest`

  Type: `gboolean`

  `TRUE` if the location of the new archive has been already decided.